PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures | Macros | Typedefs | Enumerations
Specific Hardware Types
HAL API Reference » Implementation Specific

## General Description

Aliases for types which are part of the public HAL interface but whose representations need to vary per HAL implementation.

Provides implementation specific values for types that are part of the portable HAL UART API.

Provides implementation specific values for types that are part of the portable HAL TRNG API.

Provides implementation specific values for types that are part of the portable HAL Timer API.

Provides implementation specific values for types that are part of the portable HAL System API.

Provides implementation specific values for types that are part of the portable HAL SysPm API.

Provides implementation specific values for types that are part of the portable HAL SPI API.

Provides implementation specific values for types that are part of the portable HAL SDIO API.

Provides implementation specific values for types that are part of the portable HAL SDHC API.

Provides implementation specific values for types that are part of the portable HAL RTC API.

Provides implementation specific values for types that are part of the portable HAL PWM API.

Provides implementation specific values for types that are part of the portable HAL NVM API.

Provides implementation specific values for types that are part of the portable HAL MemorySPI API.

Provides implementation specific values for types that are part of the portable HAL LPTimer API.

Provides implementation specific values for types that are part of the portable HAL I2C API.

Provides implementation specific values for types that are part of the portable HAL GPIO API.

Provides implementation specific values for types that are part of the portable HAL DMA API.

Provides implementation specific values for types that are part of the portable HAL Comp API.

Provides implementation specific values for types that are part of the portable HAL Clock API.

Provides implementation specific values for types that are part of the portable HAL ADC API.

## Data Structures
struct | mtb_hal_comp_t
| Comparator object. More...
struct | mtb_hal_comp_configurator_t
| Comp configurator struct. More...
struct | mtb_hal_dma_t
| DMA object. More...
struct | mtb_hal_dma_configurator_t
| DMA configurator struct. More...
struct | mtb_hal_nvm_configurator_t
| NVM configurator struct. More...
struct | mtb_hal_nvm_t
| NVM object. More...
struct | mtb_hal_rtc_t
| RTC object. More...
struct | mtb_hal_rtc_configurator_t
| RTC configurator struct. More...
struct | mtb_hal_syspm_callback_data_t
| SysPm callback data object. More...
union | mtb_hal_comp_t.__unnamed3__
struct | mtb_hal_comp_t.__unnamed3__.__unnamed5__
union | mtb_hal_comp_configurator_t.__unnamed7__
union | mtb_hal_comp_configurator_t.__unnamed9__
union | mtb_hal_dma_t.base
union | mtb_hal_dma_t.descriptor
struct | mtb_hal_dma_configurator_t.__unnamed13__
union | mtb_hal_dma_configurator_t.__unnamed13__.__unnamed15__
union | mtb_hal_dma_configurator_t.__unnamed13__.__unnamed17__

## Macros
#define | MTB_HAL_ADC_IMPL_HEADER "mtb_hal_adc_impl.h"
| IP-specific implementation header for ADC.
#define | MTB_HAL_CLOCK_IMPL_HEADER "mtb_hal_clock_impl.h"
| Implementation specific header for Clock.
#define | MTB_HAL_RSC_LPCOMP (MTB_HAL_COMP_LP)
| For backwards compatiblity with old PDLs.
#define | MTB_HAL_RSC_CSG (MTB_HAL_COMP_CSG)
| For backwards compatiblity with old PDLs.
#define | MTB_HAL_DMA_IMPL_HEADER "mtb_hal_dma_impl.h"
| Implementation specific header for DMA.
#define | _MTB_HAL_DMA_ALIGN _MTB_HAL_DMA_ALIGN_DMAC
| Aligns a symbol as required by the DMA hardware. More...
#define | MTB_HAL_GPIO_IMPL_HEADER "mtb_hal_gpio_impl.h"
| Implementation specific header for GPIO.
#define | MTB_HAL_I2C_IMPL_HEADER "mtb_hal_i2c_impl.h"
| Implementation specific header for I2C.
#define | MTB_HAL_LPTIMER_IMPL_HEADER "mtb_hal_lptimer_impl.h"
| Implementation specific header for LPTimer.
#define | MTB_HAL_NVM_IMPL_HEADER "mtb_hal_nvm_impl.h"
| Implementation specific header for NVM.
#define | MTB_HAL_PWM_IMPL_HEADER "mtb_hal_pwm_impl.h"
| Implementation specific header for PWM.
#define | MTB_HAL_RTC_IMPL_HEADER "mtb_hal_rtc_impl.h"
| Implementation specific header for RTC.
#define | MTB_HAL_SPI_IMPL_HEADER "mtb_hal_spi_impl.h"
| Implementation specific header for SPI.
#define | MTB_HAL_SYSPM_IMPL_HEADER "mtb_hal_syspm_impl.h"
| Implementation specific header for SysPm.
#define | MTB_HAL_SYSTEM_IMPL_HEADER "mtb_hal_system_impl.h"
| Implementation specific header for System.
#define | MTB_HAL_TIMER_IMPL_HEADER "mtb_hal_timer_impl.h"
| Implementation specific header for Timer.
#define | MTB_HAL_TRNG_IMPL_HEADER "mtb_hal_trng_impl.h"
| Implementation specific header for TRNG.
#define | MTB_HAL_UART_IMPL_HEADER "mtb_hal_uart_impl.h"
| Implementation specific header for UART.

## Typedefs
typedef void * | mtb_hal_trng_configurator_t
| TRNG configurator struct. More...

## Enumerations
enum | mtb_hal_comp_type_t { MTB_HAL_COMP_LP = 0 , MTB_HAL_COMP_CSG = 1 , MTB_HAL_COMP_DCSG = 2 }
| Comp type.
enum | mtb_hal_dma_type_t { MTB_HAL_DMA_DW = 0 , MTB_HAL_DMA_DMAC = 1 }
| DMA type.

## Data Structure Documentation

## ◆ mtb_hal_comp_t

struct mtb_hal_comp_t

Data Fields
mtb_hal_comp_type_t | comp_type |
union mtb_hal_comp_t.__unnamed3__ | __unnamed__ |
_mtb_hal_event_callback_data_t | callback_data |
uint32_t | callback_event |

## ◆ mtb_hal_comp_configurator_t

struct mtb_hal_comp_configurator_t

Data Fields
mtb_hal_comp_type_t | resource_type |
uint8_t | channel_num |
union mtb_hal_comp_configurator_t.__unnamed7__ | __unnamed__ |
union mtb_hal_comp_configurator_t.__unnamed9__ | __unnamed__ |

## ◆ mtb_hal_dma_t

struct mtb_hal_dma_t

Data Fields
union mtb_hal_dma_t.base | base |
union mtb_hal_dma_t.descriptor | descriptor |
mtb_hal_dma_type_t | dma_type |
uint32_t | channel |
uint16_t | expected_bursts |
uint32_t | direction |
uint32_t | irq_cause |
_mtb_hal_event_callback_data_t | callback_data |

## ◆ mtb_hal_dma_configurator_t

struct mtb_hal_dma_configurator_t

Data Fields
mtb_hal_dma_type_t | dma_type |
uint32_t | channel |
struct mtb_hal_dma_configurator_t.__unnamed13__ | __unnamed__ |

## ◆ mtb_hal_nvm_configurator_t

struct mtb_hal_nvm_configurator_t

Data Fields
void * | empty |

## ◆ mtb_hal_nvm_t

struct mtb_hal_nvm_t

Data Fields
void * | empty |

## ◆ mtb_hal_rtc_t

struct mtb_hal_rtc_t

Data Fields
void * | empty |

## ◆ mtb_hal_rtc_configurator_t

struct mtb_hal_rtc_configurator_t

Data Fields
void * | empty |

## ◆ mtb_hal_syspm_callback_data_t

struct mtb_hal_syspm_callback_data_t

Data Fields
cy_stc_syspm_callback_t | pdl_cb |
cy_stc_syspm_callback_params_t | cb_params |
uint32_t | state |
void * | user_arg |

## ◆ mtb_hal_comp_t.__unnamed3__

union mtb_hal_comp_t.__unnamed3__

Data Fields
struct mtb_hal_comp_t.__unnamed3__.__unnamed5__ | __unnamed__ |

## ◆ mtb_hal_comp_t.__unnamed3__.__unnamed5__

struct mtb_hal_comp_t.__unnamed3__.__unnamed5__

Data Fields
_mtb_hal_lpcomp_base_t * | base_lpcomp |
_mtb_hal_lpcomp_channel_t | channel_lpcomp |

## ◆ mtb_hal_comp_configurator_t.__unnamed7__

union mtb_hal_comp_configurator_t.__unnamed7__

Data Fields
const _mtb_hal_lpcomp_pdl_config_t * | lpcomp |

## ◆ mtb_hal_comp_configurator_t.__unnamed9__

union mtb_hal_comp_configurator_t.__unnamed9__

Data Fields
_mtb_hal_lpcomp_base_t * | lpcomp_base |

## ◆ mtb_hal_dma_t.base

union mtb_hal_dma_t.base

Data Fields
_mtb_hal_dw_base_t * | dw_base |
_mtb_hal_dmac_base_t * | dmac_base |

## ◆ mtb_hal_dma_t.descriptor

union mtb_hal_dma_t.descriptor

Data Fields
_mtb_hal_dw_descriptor_t * | dw |
_mtb_hal_dmac_descriptor_t * | dmac |

## ◆ mtb_hal_dma_configurator_t.__unnamed13__

struct mtb_hal_dma_configurator_t.__unnamed13__

Data Fields
union mtb_hal_dma_configurator_t.__unnamed13__.__unnamed15__ | __unnamed__ |
union mtb_hal_dma_configurator_t.__unnamed13__.__unnamed17__ | __unnamed__ |

## ◆ mtb_hal_dma_configurator_t.__unnamed13__.__unnamed15__

union mtb_hal_dma_configurator_t.__unnamed13__.__unnamed15__

Data Fields
_mtb_hal_dw_base_t const * | dw_base |
_mtb_hal_dmac_base_t const * | dmac_base |

## ◆ mtb_hal_dma_configurator_t.__unnamed13__.__unnamed17__

union mtb_hal_dma_configurator_t.__unnamed13__.__unnamed17__

Data Fields
_mtb_hal_dw_descriptor_t * | dw_descriptor |
_mtb_hal_dmac_descriptor_t * | dmac_descriptor |

## Macro Definition Documentation

## ◆ _MTB_HAL_DMA_ALIGN

#define _MTB_HAL_DMA_ALIGN _MTB_HAL_DMA_ALIGN_DMAC

Aligns a symbol as required by the DMA hardware.

If DCACHE is present, it takes precedence. Otherwise, defer to the alignment defined by the DMAC hardware, if any

## Typedef Documentation

## ◆ mtb_hal_trng_configurator_t

typedef void* mtb_hal_trng_configurator_t

TRNG configurator struct.

This struct allows a configurator to provide block configuration information to the HAL. Because configurator-generated configurations are platform specific, the contents of this struct is subject to change between platforms and/or HAL releases.